<?php
$cate_id = "REG_PLAN"; //현재 메뉴 ID 필수!!!

/*
* @Overview 생산계획 관리
* @History 2024-04-15 / 이원기 / 최초작성
*/

include_once "{$_SERVER['DOCUMENT_ROOT']}/common.inc.php";
include_once _SVC_INC_PATH_ ."/auth_check.php";
include_once _HOME_INC_PATH_ ."/ajax_init.php";


if(!_notAuth("R")) {


  switch ($_REQUEST['mode']) {

    // 사원정보
    case 'getPlanList':
      $squl = "USP_P_DAILY_PROD_PLAN_S10";
      $params = array(
//        "TEAM_POP" => $_REQUEST['team_pop'] ?: "",
        "TEAM_POP" => $_REQUEST['team_pop'] ?: "",
        "SUB_PRODUCT_POP" => $_REQUEST['sub_product_pop'] ?: "",
        "PLAN_DATE" => $_REQUEST['plan_date'] ?: "",
      );
      $rst = $baseObj->DB->exec($squl, $params);

      $rows = array();
      if ($rst) {
        $retval['code'] = true;
        while ($row = $baseObj->DB->fetch_array($rst)) {
          $rows[] = $row;
        };
//        print_r($rows);
        $retval['data'] = $rows;
        $retval['mesg'] = '정상 동작 되었습니다.';
      } else {
        $retval['code'] = false;
      }


      break;
      /*
      * @Overview 생산계획등록
      * @History 2024-04-15 / 이원기 / 최초작성
      */
    case "putPlan":
//      if (_notAuth("W")) break;
      /************ 권한체크*/
      $_REQUEST['RS_CODE'] = "";
      $_REQUEST['RS_MSG'] = "";

      $_REQUEST['reqdata'] = json_decode($_REQUEST['reqdata']);
//      $rst = true;
//      $_REQUEST['reqdata'] = array_pop($_REQUEST['reqdata']);
//      $zz = $_REQUEST['reqdata'].pop();

      $rst1= true;
      $rst2= true;
      $rst3= true;

      foreach ($_REQUEST['reqdata'] as $tempData) {


        $grpData = (array)$tempData[0];    // 요청 데이터 중 아이템 그룹 데이터 추출
        $planQtyData = (array)$tempData[1];// 요청 데이터 중 계획 수량 데이터 추출


        $Date = $_REQUEST['date'];         // 요청 데이터 중 날짜 데이터 추출


        for($i=0; $i<7; $i++){

        $makingData =  date('Y_m_d', strtotime($Date. ' +'.$i.'days')); //각 동적 컬럼의 데이터 가공을 위한 변수
        $formatDate =  date('Y-m-d', strtotime($Date. ' +'.$i.'days')); //DB에 입력할 날짜 데이터
//          $dynamicVarName = "pramas{$i}";
        $am = "AM_PLAN_QTY_".$makingData;
        $pm = "PM_PLAN_QTY_".$makingData;
        $ni = "NI_PLAN_QTY_".$makingData;

        $amParams =  Array(

          "PLAN_DT"        => $formatDate,
          "PLAN_FACLT_CD"  => $grpData['PLAN_FACLT_CD'],
          "RSLT_GRP"       => "AM",
          "WRK_TEAM"       => $grpData['WRK_TEAM'],
          "ITEM_GRP"       => $grpData[$am]??"",
          "PLAN_QTY"       => $planQtyData[$am] == '' ? null : $planQtyData[$am],
          "MAKE_USER_ID"    => $GLOBALS['_Umem']['member_id'],
        );

        $pmParams =  Array(

          "PLAN_DT"        => $formatDate,
          "PLAN_FACLT_CD"  => $grpData['PLAN_FACLT_CD'],
          "RSLT_GRP"       => "PM",
          "WRK_TEAM"       => $grpData['WRK_TEAM'],
          "ITEM_GRP"       => $grpData[$pm]??"",
          "PLAN_QTY"       => $planQtyData[$pm] == '' ? null : $planQtyData[$pm],
          "MAKE_USER_ID"    => $GLOBALS['_Umem']['member_id'],
        );
        $niParams =  Array(

          "PLAN_DT"        => $formatDate,
          "PLAN_FACLT_CD"  => $grpData['PLAN_FACLT_CD'],
          "RSLT_GRP"       => "NI",
          "WRK_TEAM"       => $grpData['WRK_TEAM'],
          "ITEM_GRP"       => $grpData[$ni]??"",
          "PLAN_QTY"       => $planQtyData[$ni] == '' ? null : $planQtyData[$ni],
          "MAKE_USER_ID"    => $GLOBALS['_Umem']['member_id'],
        );

          $sql = 'USP_P_DAILY_PROD_PLAN_I10';

          $rst1 =  $baseObj->DB->exec($sql, $amParams);
          $rst2 =  $baseObj->DB->exec($sql, $pmParams);
          $rst3 =  $baseObj->DB->exec($sql, $niParams);

//        print_r($amParams);
//        print_r($pmParams);
//        print_r($niParams);

        }
      }
        if($rst1 && $rst2 && $rst3 ){
          $retval['code'] = true;
        }else{
          $retval['code'] = false;
          $retval['mesg'] = '저장실패';

        }
        break;

  }
}
if (!$_REQUEST['no_echo']) {
  echo json_encode($retval);
}